export default {
  columns: [
    { name: 'button', title: ' ' },
    { name: 'avatar', title: 'Аватар' },
    { name: 'full_name', title: 'ФИО сотрудника' },
    { name: 'registration_date', title: 'Дата регистрации' },
    { name: 'phone', title: 'Телефон' },
    { name: 'email', title: 'Электронная почта' },
    { name: 'date_of_birth', title: 'Дата рождения' },
    { name: 'age', title: 'Возраст' },
    { name: 'sex', title: 'Пол' },
  ],
  defaultOrder: [
    'button',
    'avatar',
    'full_name',
    'registration_date',
    'phone',
    'email',
    'date_of_birth',
    'age',
    'sex',
  ],
  defaultColumnWidths: [
    { columnName: 'button', width: window.innerWidth * 0.05 },
    { columnName: 'avatar', width: window.innerWidth * 0.05 },
    { columnName: 'full_name', width: window.innerWidth * 0.175 },
    { columnName: 'registration_date', width: window.innerWidth * 0.125 },
    { columnName: 'phone', width: window.innerWidth * 0.1 },
    { columnName: 'email', width: window.innerWidth * 0.175 },
    { columnName: 'date_of_birth', width: window.innerWidth * 0.125 },
    { columnName: 'age', width: window.innerWidth * 0.075 },
    { columnName: 'sex', width: window.innerWidth * 0.115 },
  ],
  sortingStateColumnExtensions: [
    { columnName: 'avatar', sortingEnabled: false },
    { columnName: 'button', sortingEnabled: false },
  ],
  textFilterOperations: ['contains', 'startsWith', 'endsWith', 'equal'],
  numberFilterOperations: [
    'greaterThan',
    'greaterThanOrEqual',
    'lessThan',
    'lessThanOrEqual',
    'equal',
  ],
  sexFilterOperations: ['equal'],
  dateFilterOperations: [
    'greaterThan',
    'greaterThanOrEqual',
    'lessThan',
    'lessThanOrEqual',
    'equal',
  ],
  dateTimeFilterOperations: [
    'greaterThan',
    'greaterThanOrEqual',
    'lessThan',
    'lessThanOrEqual',
  ],
  textFilterColumns: [
    'full_name',
    'registration_date',
    'phone',
    'email',
    'date_of_birth',
  ],
  numberFilterColumns: [
    'age',
  ],
  dateColumns: ['date_of_birth'],
  dateTimeColumns: ['registration_date'],
  avatarColumns: ['avatar'],
  buttonColumns: ['button'],
  sexColumns: ['sex'],
};
